Traefik (Docker-Compose)
========================

Traefik acts as a reverse proxy and loadbalancer in container environments. It will handle Let's Encrypt certificates for Docker Compose services automatically.

Requirements
------------

- Ubuntu or Debian server
- [Docker Engine](https://docs.docker.com/install/) + [Docker Compose](https://docs.docker.com/compose/install/)

Role Variables
--------------

```
traefik_install_user: {{ ansible_user }
traefik_install_path: /home/{{ traefik_install_user }}
traefik_letsencrypt_email: 
traefik_virtual_host: localhost
traefik_expose_internally: True
traefik_expose_externally: False
traefik_use_acme_staging: True
traefik_dns_challenge_provider: False
# NOT WORKING YET!
# Extra mapping, for name -> internal address, like myservice: 'http://otherhost:12345'
#traefik_extra_mapping:
#   myservice: http://otherhost:12345
# use key:value pairs here to add additional environment variables to your traefik docker image.
# for instance, if you're using a dns challenge provider place your api keys etc here.
#traefik_additional_env_vars:
#  # DUMMY_KEY: DUMMY_VALUE
#  CLOUDFLARE_EMAIL: EMAIL
#  CLOUDFLARE_API_KEY: API_KEY
```

License
-------

MIT

Author Information
------------------

This role was created in 2020 by [Jan Beilicke](https://jotbe.io).